List Agents
curl --request GET \
--url https://api.example.com/assets/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/assets/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/assets/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"resource_uri": "<string>",
"name": "<string>",
"status": "<string>",
"lifecycle_stage": "<string>",
"health_status": "<string>",
"verification_status": "<string>",
"current_version": 123,
"project_id": "<string>",
"created_by": "<string>",
"owner_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"a2a_protocol_version": "<string>",
"tags": []
}
],
"pagination": {
"page": 2,
"limit": 50,
"total_items": 1,
"total_pages": 1,
"next_page": 123,
"prev_page": 123
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}agents
List Agents
List registered agents in project.
GET
/
assets
/
agents
List Agents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Page number (starts at 1)
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Filter by admin status
Filter by lifecycle stage
Filter by tags (comma-separated)
Filter by A2A protocol version
Sort: field:order,...
Filter by creator (e.g., 'user:alice')
Deprecated: use created_by instead. Will be removed in a future release.
Was this page helpful?

